// https://raw.githubusercontent.com/martinius96/ESP32-eduroam/master/2022/eduroam/eduroam.ino

#include <WiFi.h> //Wifi library
#include "esp_wpa2.h" //wpa2 library for connections to Enterprise networks

#define EAP_ANONYMOUS_IDENTITY "CL-Internet_de_les_coses"
#define EAP_IDENTITY "CL-Internet_de_les_coses"
#define EAP_PASSWORD "CLioT2022_"
#define EAP_USERNAME "CL-Internet_de_les_coses"

const char* ssid = "IOTJE"; 

void setup() {
  Serial.begin(115200);
  Serial.println(__FILE__);
  delay(10);
  Serial.print(F("Connecting to network: "));
  Serial.println(ssid);
  WiFi.disconnect(true);  
  
  WiFi.begin(ssid, WPA2_AUTH_PEAP, EAP_IDENTITY, EAP_USERNAME, EAP_PASSWORD); // without CERTIFICATE, RADIUS server EXCEPTION "for old devices" required

  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(F("."));
  }
  Serial.println("");
  Serial.println(F("WiFi is connected!"));
  Serial.println(F("IP address set: "));
  Serial.println(WiFi.localIP());
}

void loop() {
  yield();
}